#!/bin/sh
######################################################################################
# Setup a standard Rocky9 system with Beam repositories and packages
######################################################################################
#
# Based on an install of the Rocky9.1 using Rocky-9.1-x86_64-dvd.iso
# Fetch using: "wget https://portal.beam.ltd.uk/dist/rhel9/beamRockySetup.sh"
#

# fileReplace <filename> <searchParameter> <replaceParamter>
fileReplace()
{
	if grep "$2" $1 > /dev/null 2>&1
	then
		res=`sed -e "s'$2'$3'" $1`
		echo "$res" > $1
	else
		echo "$3" >> $1
	fi
}

# Setup basic system
timedatectl set-timezone Europe/London

echo "Enable wired network using GUI to start on system boot"
echo "You also might want to allow root ssh logins /etc/ssh/sshd.conf"

# Update all packages first
echo "Updating system"
dnf -y update

# Add and enable repos
dnf config-manager --set-enabled crb
dnf install -y epel-release epel-release
#dnf install -y https://mirrors.rpmfusion.org/free/el/rpmfusion-free-release-$(rpm -E %rhel).noarch.rpm
#dnf install -y https://mirrors.rpmfusion.org/nonfree/el/rpmfusion-nonfree-release-$(rpm -E %rhel).noarch.rpm
#dnf config-manager --add-repo https://portal.beam.ltd.uk/dist/rhel9/beamExtra.repo
dnf config-manager --add-repo https://portal.beam.ltd.uk/dist/blacknest/rhel/9/bds.repo

# KDE/Plasma install
echo "Installing KDE/Plasma desktop"
dnf group install -y "KDE Plasma Workspaces" "base-x"
dnf install -y desktop-backgrounds-compat

#echo "# Install a beam-suite of packages"
#dnf install -y beam-suite-standard
#dnf install -y beam-suite-work
#dnf install -y beam-suite-work-devel

echo "# Install BDS packages"
dnf install bds-clients bds-extras
#dnf install bds-server bds-importStreamCd bds-importStreamGcf bds-autodrm
#dnf install bds-doc bds-devel bds-test bds-web bds-web-doc

# Set to use KDE/Plasma greeter
# Note still defaults to Wayland Plasma session
#cp /usr/share/xsessions/plasma.desktop /usr/share/xsessions/0plasma.desktop
#cp /usr/share/wayland-sessions/plasmawayland.desktop /usr/share/wayland-sessions/0plasmawayland.desktop
systemctl disable gdm
systemctl enable sddm

# Development setup
#dnf groupinstall -y "Development Tools"

# Enable/disable some services
#systemctl disable libvirtd
systemctl disable ModemManager

# Extra configuration
# Enable cockpit admin system. Web access at https://<host>:9090
#sudo systemctl enable --now cockpit.socket

# Enable web cockpit system
# systemctl enable --now cockpit.socket
# Use the web browser URL: https://<host>:9090/ to access this

# Enable GUI or CLI start
#systemctl set-default graphical.target
#systemctl set-default multi-user.target
